<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
require_once ('../system/function.php');

//-----Подключаем вверх-----//
$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));
$title='Изменить ник '.$forum_r['login'].'';
require_once ('../system/header.php');
if(!$user['id'] or $user['level'] < 2) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
echo '<div class="title">Изменить ник '.$forum_r['login'].'</div>';
if($forum_r == 0) {
echo '<div class="title">Ошибка</div><div class="podmenu"><center><b>Такого пользавателья не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['submit'])) {

$login = strong($_POST['login']);
$sql = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `login` = '".$login."'"); 
if(mysql_result($sql, 0)){
echo err('Такой ник уже есть в базе!');
echo "<div class='podmenu'><a href='".$HOME."/user/up_nick.php'><b>Назад</b></a></div>";
require_once ('../system/footer.php'); exit;
}
if(empty($login)) {
echo '<div class="podmenu"><center><b>Введите текст!</b></center></div>';
require_once ('../../system/footer.php');
exit();
}


mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'сменил ваш [url=".$HOME."/nicks".$ank['id']."]ник[/url]'");
mysql_query("UPDATE `users` SET `login` = '".$login."' WHERE `id` = '".$forum_r['id']."'");
mysql_query("INSERT INTO `nicks` SET `newnick` = '".$login."', `oldnick` = '".$forum_r['login']."',  `avtor` = '".$user[id]."', `time` = '".time()."', `us` = '".$forum_r['id']."'");



echo '<div class="podmenu"><center><b>Успешно!</b></center></div>';
}
echo '<div class="podmenu">
<form action="" method="POST">
Сменит ник:<br/> <input type="text" name="login" value="'.$forum_r['login'].'"/> <br />
<input type="submit" name="submit" value="Добавить">
</form></div>';

require_once ('../system/footer.php');
?>